h35063
s 00007/00004/00025
d D 3.2 85/06/04 19:32:37 dock 2 1
c 
e
s 00029/00000/00000
d D 3.1 84/11/13 16:27:15 dan 1 0
c date and time created 84/11/13 16:27:15 by dan
e
u
U
t
T
I 1
D 2
/*  devfuncs.h -- Declare VIOS external device support routines
 *  copyright (c) American Information Systems Corporation
 *	Daniel Steinberg
 *	November, 1984
E 2
I 2

/*
 * %M%: version %I% of %H%
E 2
 *
I 2
 *  devfuncs.h -- Declare VIOS external device support routines
 *  copyright (c) American Information Systems Corporation
 *	Daniel Steinberg	November, 1984
E 2
 */
I 2

E 2
#ifndef DEVFUNCS
#define DEVFUNCS

#include "devices.h"


/* Declare device handler routines */
/* ctrlsubs.c */
extern VDD_PTR vname_search();		/* look for virtual device by name */
extern VDD_PTR vdname_search();		/* look for virtual device by name */
extern PDD_PTR pname_search();		/* look for physical device by name */

extern CLASS_MODULE **cls_search();	/* look for class handling module */
extern IMP_MODULE **imp_search();	/* look for implementation module */

extern VDD_PTR vddalloc();		/* allocate virtual device */
extern PDD_PTR pddalloc();		/* allocate physical device */

/* vioinit.c */
extern VDD_PTR i_vdd();			/* init a virtual device */
extern PDD_PTR i_pdd();			/* init a physical device */

#endif
E 1
